import type { App } from 'vue';
import { Alert } from './alert';
import { AutoComplete } from './auto-complete';
import { Avatar } from './avatar';
import { Badge } from './badge';
import { Button, ButtonGroup } from './button';
import { Card } from './card';
import { Checkbox, CheckboxGroup, CheckboxButton } from './checkbox';
import { Collapse, CollapseItem } from './collapse';
import { Countdown } from './countdown';
import { DatePickerPro, DRangeDatePickerPro } from './date-picker-pro';
import { Drawer, DrawerService } from './drawer';
import { Dropdown, DropdownMenu } from './dropdown';
import { EditableSelect } from './editable-select';
import { Form, FormItem, FormOperation } from './form';
import { Fullscreen } from './fullscreen';
import { Row, Col } from './grid';
import { Icon, IconGroup } from './icon';
import { ImagePreviewDirective, ImagePreviewService } from './image-preview';
import { Input } from './input';
import { InputNumber } from './input-number';
import { Layout, Content, Header, Footer, Aside } from './layout';
import { LoadingService, LoadingDirective } from './loading';
import { Mention } from './mention';
import { Menu, SubMenu, MenuItem } from './menu';
import { Message } from './message';
import { Modal } from './modal';
import { Notification, NotificationService } from './notification';
import { FlexibleOverlay, FixedOverlay } from './overlay';
import { Pagination } from './pagination';
import { Panel, PanelHeader, PanelBody, PanelFooter } from './panel';
import { Popover } from './popover';
import { Progress } from './progress';
import { Radio, RadioGroup, RadioButton } from './radio';
import { Rate } from './rate';
import { Result } from './result';
import { RippleDirective } from './ripple';
import { Search } from './search';
import { Select, Option, OptionGroup } from './select';
import { Skeleton, SkeletonItem } from './skeleton';
import { Slider } from './slider';
import { Splitter } from './splitter';
import { Statistic } from './statistic';
import { Status } from './status';
import { Steps, Step } from './steps';
import { Switch } from './switch';
import { Table, Column } from './table';
import { Tabs, Tab } from './tabs';
import { Tag } from './tag';
import { Textarea } from './textarea';
import { TimePicker } from './time-picker';
import { TimeSelect } from './time-select';
import { Timeline, TimelineItem } from './timeline';
import { Tooltip } from './tooltip';
import { Tree } from './tree';
import { Upload } from './upload';
import './style/devui.scss';
export { Alert, AutoComplete, Avatar, Badge, Button, ButtonGroup, Card, Checkbox, CheckboxGroup, CheckboxButton, Collapse, CollapseItem, Countdown, DatePickerPro, DRangeDatePickerPro, Drawer, DrawerService, Dropdown, DropdownMenu, EditableSelect, Form, FormItem, FormOperation, Fullscreen, Row, Col, Icon, IconGroup, ImagePreviewDirective, ImagePreviewService, Input, InputNumber, Layout, Content, Header, Footer, Aside, LoadingService, LoadingDirective, Mention, Menu, SubMenu, MenuItem, Message, Modal, Notification, NotificationService, FlexibleOverlay, FixedOverlay, Pagination, Panel, PanelHeader, PanelBody, PanelFooter, Popover, Progress, Radio, RadioGroup, RadioButton, Rate, Result, RippleDirective, Search, Select, Option, OptionGroup, Skeleton, SkeletonItem, Slider, Splitter, Statistic, Status, Steps, Step, Switch, Table, Column, Tabs, Tab, Tag, Textarea, TimePicker, TimeSelect, Timeline, TimelineItem, Tooltip, Tree, Upload };
declare const _default: {
    version: string;
    install(app: App): void;
};
export default _default;
